/*
Inbox

Testing ConversationsAPIService

*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech);

package inboxapi

import (
	"context"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"testing"
	openapiclient "bitbucket.org/_SLACE_/clients/go/inboxapi"
)

func Test_inboxapi_ConversationsAPIService(t *testing.T) {

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)

	t.Run("Test ConversationsAPIService AddConversationMessageLabels", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var cid string
		var msgId string

		resp, httpRes, err := apiClient.ConversationsAPI.AddConversationMessageLabels(context.Background(), channelId, cid, msgId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ConversationsAPIService AddLabels", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var cid string

		resp, httpRes, err := apiClient.ConversationsAPI.AddLabels(context.Background(), channelId, cid).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ConversationsAPIService AgentTakeover", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var cid string

		resp, httpRes, err := apiClient.ConversationsAPI.AgentTakeover(context.Background(), channelId, cid).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ConversationsAPIService AgentTakeoverRelease", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var cid string

		resp, httpRes, err := apiClient.ConversationsAPI.AgentTakeoverRelease(context.Background(), channelId, cid).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ConversationsAPIService AttachTransactionToConversation", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var conversationId string
		var transactionId string

		resp, httpRes, err := apiClient.ConversationsAPI.AttachTransactionToConversation(context.Background(), channelId, conversationId, transactionId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ConversationsAPIService ConversationBlocking", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var conversationId string
		var channelId string

		resp, httpRes, err := apiClient.ConversationsAPI.ConversationBlocking(context.Background(), conversationId, channelId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ConversationsAPIService ConversationOptOut", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var cid string

		resp, httpRes, err := apiClient.ConversationsAPI.ConversationOptOut(context.Background(), channelId, cid).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ConversationsAPIService CreateAgentRequest", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var conversationId string

		resp, httpRes, err := apiClient.ConversationsAPI.CreateAgentRequest(context.Background(), channelId, conversationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ConversationsAPIService DeleteConversation", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var cid string

		resp, httpRes, err := apiClient.ConversationsAPI.DeleteConversation(context.Background(), channelId, cid).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ConversationsAPIService DeleteConversationMessage", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var cid string
		var msgId string

		resp, httpRes, err := apiClient.ConversationsAPI.DeleteConversationMessage(context.Background(), channelId, cid, msgId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ConversationsAPIService DeleteConversationMessageLabel", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var cid string
		var msgId string
		var label string

		resp, httpRes, err := apiClient.ConversationsAPI.DeleteConversationMessageLabel(context.Background(), channelId, cid, msgId, label).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ConversationsAPIService DeleteLabel", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var cid string
		var label string

		resp, httpRes, err := apiClient.ConversationsAPI.DeleteLabel(context.Background(), channelId, cid, label).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ConversationsAPIService DeleteLabels", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var cid string

		resp, httpRes, err := apiClient.ConversationsAPI.DeleteLabels(context.Background(), channelId, cid).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ConversationsAPIService DetachTransactionFromConversation", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var conversationId string
		var transactionId string

		httpRes, err := apiClient.ConversationsAPI.DetachTransactionFromConversation(context.Background(), channelId, conversationId, transactionId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ConversationsAPIService FindConversationsSegments", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string

		resp, httpRes, err := apiClient.ConversationsAPI.FindConversationsSegments(context.Background(), channelId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ConversationsAPIService GetConversationById", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var cid string

		resp, httpRes, err := apiClient.ConversationsAPI.GetConversationById(context.Background(), channelId, cid).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ConversationsAPIService GetConversationMedia", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var conversationId string

		resp, httpRes, err := apiClient.ConversationsAPI.GetConversationMedia(context.Background(), channelId, conversationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ConversationsAPIService GetConversationMessage", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var cid string
		var msgId string

		resp, httpRes, err := apiClient.ConversationsAPI.GetConversationMessage(context.Background(), channelId, cid, msgId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ConversationsAPIService GetConversationMessages", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var cid string

		resp, httpRes, err := apiClient.ConversationsAPI.GetConversationMessages(context.Background(), channelId, cid).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ConversationsAPIService GetConversations", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string

		resp, httpRes, err := apiClient.ConversationsAPI.GetConversations(context.Background(), channelId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ConversationsAPIService MarkAsRead", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var conversationId string

		resp, httpRes, err := apiClient.ConversationsAPI.MarkAsRead(context.Background(), channelId, conversationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ConversationsAPIService MarkAsUnread", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var conversationId string

		resp, httpRes, err := apiClient.ConversationsAPI.MarkAsUnread(context.Background(), channelId, conversationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ConversationsAPIService MarkConversationAsRead", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var cid string

		resp, httpRes, err := apiClient.ConversationsAPI.MarkConversationAsRead(context.Background(), channelId, cid).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ConversationsAPIService ResolveAgentRequest", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var conversationId string

		resp, httpRes, err := apiClient.ConversationsAPI.ResolveAgentRequest(context.Background(), channelId, conversationId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test ConversationsAPIService TranslateConversationParams", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var cid string

		resp, httpRes, err := apiClient.ConversationsAPI.TranslateConversationParams(context.Background(), channelId, cid).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

}
